mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
import.c File Reference
`#include "import.h"`

Go to the source code of this file.

## Functions
void | import_cue_file_from_the_configuration_directory (ui_state *ui)
void | import_event (GtkWidget *widget, ui_state *ui)
void | import_file (gchar *filename, ui_state *ui)
void | import_files_to_batch_and_free (GSList *files, ui_state *ui)

## Detailed Description

The magic behind the splitpoint input

All functions that are needed in order to read in cddb, cue or similar files.

Definition in file import.c.

## Function Documentation

void import_event | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

What happens if the "Import" button is pressed.

Definition at line 52 of file import.c.

References import_file(), and remove_status_message().

void import_file | ( | gchar * | filename,
|  | ui_state * | ui
| ) |  |

Handles the import of an input file (audio or splitpoint)

The file type is determined by the extension of the file.

Definition at line 86 of file import.c.

References remove_status_message().

Referenced by import_event().